# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:	 ZenStates
Version: 0.1
Release: git0bc27f4.3.ndias%{?dist}
Summary: Collection of utilities for Ryzen processors and motherboards

License: MIT
URL:	 https://github.com/r4m0n/%{name}-Linux
Source0: https://github.com/r4m0n/%{name}-Linux/archive/master.tar.gz#/%{name}-Linux-master.tar.gz
Source1: https://github.com/jfredrickson/disable-c6/blob/master/disable-c6.service.template
Patch0:	 zenstate-patch-python 
Patch1:	 Patch-togglecode

BuildArch: noarch

Requires: python3-portio

%description
Dynamically edit AMD Ryzen processor P-States
Requires root access and the msr kernel module loaded (just run "modprobe msr"
as root).
Include also a systemd service from https://github.com/jfredrickson/disable-c6

%prep
%setup -q -n ZenStates-Linux-master

%patch0 -p 1
%patch1 -p 0

%build

%install
install -d %{buildroot}%{_bindir}
install -p -m 755 zenstates.py togglecode.py %{buildroot}%{_bindir}
install -d %{buildroot}%{_prefix}/lib/systemd/system
install -p -m 644 %{SOURCE1} %{buildroot}%{_prefix}/lib/systemd/system/disable-c6.service

%files
%doc README.md
%license LICENSE

%{_bindir}/zenstates.py
%{_bindir}/togglecode.py
%{_prefix}/lib/systemd/system/disable-c6.service

%changelog
* Mon Jul 25 2022 Nuno Dias <Nuno.Dias@gmail.com> - 0.1-git0bc27f4.3.ndias
- Include togglecode.py

* Thu Nov 28 2019 Nuno Dias <Nuno.Dias@gmail.com> - 0.1-git0bc27f4.2.ndias
- 0.1-git0bc27f4.2.ndias
